import request from '@/utils/request'

// 查询接货地址列表
export function listMallMeetAddress(query) {
  return request({
    url: '/mall/mallMeetAddress/list',
    method: 'get',
    params: query
  })
}

// 查询接货地址详细
export function getMallMeetAddress(meetId) {
  return request({
    url: '/mall/mallMeetAddress/' + meetId,
    method: 'get'
  })
}

// 新增接货地址
export function addMallMeetAddress(data) {
  return request({
    url: '/mall/mallMeetAddress',
    method: 'post',
    data: data
  })
}

// 修改接货地址
export function updateMallMeetAddress(data) {
  return request({
    url: '/mall/mallMeetAddress',
    method: 'put',
    data: data
  })
}

// 删除接货地址
export function delMallMeetAddress(meetId) {
  return request({
    url: '/mall/mallMeetAddress/' + meetId,
    method: 'delete'
  })
}

// 导出接货地址
export function exportMallMeetAddress(query) {
  return request({
    url: '/mall/mallMeetAddress/export',
    method: 'get',
    params: query
  })
}